Get Live Batch Status (Detailed)
curl --request GET \
--url https://sa.dialgen.ai/api/v1/status/batch \
--header 'Authorization: Bearer <token>'import requests
url = "https://sa.dialgen.ai/api/v1/status/batch"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sa.dialgen.ai/api/v1/status/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"batchId": "batch_1678886400_agent_clx123...",
"calls": [
{
"callId": "call_clxabc123...",
"status": "COMPLETED",
"startTime": "2025-11-15T14:31:02.456Z",
"phoneNumber": "+15551234567",
"error": null,
"duration": 62,
"recordingUrl": "https://s3..."
},
{
"callId": "call_clxdef456...",
"status": "ONGOING",
"startTime": "2025-11-15T14:32:15.789Z",
"phoneNumber": "+15557654321",
"error": null,
"duration": null,
"recordingUrl": null
}
]
}{
"error": "Bad Request",
"message": "Missing required parameter"
}{
"error": "Unauthorized",
"message": "Invalid or missing API key"
}{
"error": "Not Found",
"message": "Resource not found"
}{
"error": "Internal Server Error",
"message": "An unexpected error occurred"
}Batches
Get Live Batch Status (Detailed)
Retrieves the live, individual status of every call within a batch from the memory cache (Redis). Data is available for 30 days.
GET
/
api
/
v1
/
status
/
batch
Get Live Batch Status (Detailed)
Authorizations
Bearer token authentication. Obtain your API key from the Dialgen API Keys dashboard at https://sa.dialgen.ai/api-keys
Query Parameters
The ID returned from POST /api/v1/batch
Example:
"batch_1678886400_agent_clx123..."
⌘I